package de.marcschumacher.jgrli.enums;

/**
 * Java Growl Library - Error code
 * 
 * @author Marc Schumacher
 * 
 */
public enum JgrliErrorCode {

	OK(200, false), BAD_REQUEST(400, true), NOT_AUTHORIZED(401, true), METHOD_NOT_ALLOWED(405, true), NOT_ACCEPTABLE(406, true), INTERNAL_SERVER_ERROR(500,
			true);

	private final int code;
	private final boolean error;

	private JgrliErrorCode(int code, boolean error) {
		this.code = code;
		this.error = error;
	}

	public boolean isError() {
		return this.error;
	}

	public boolean isSuccess() {
		return !this.error;
	}

	public int getCode() {
		return this.code;
	}

	public static JgrliErrorCode parse(int intErrorCode) {
		JgrliErrorCode[] values = values();
		for (JgrliErrorCode prowlErrorCode : values) {
			if (prowlErrorCode.getCode() == intErrorCode) {
				return prowlErrorCode;
			}
		}
		return null;
	}
}
